## HdyExpanderRow HdyExpanderRow — A GtkListBox row used to reveal widgets. |

## Functions

HdyExpanderRow * | hdy_expander_row_new ()
gboolean | hdy_expander_row_get_expanded ()
void | hdy_expander_row_set_expanded ()
gboolean | hdy_expander_row_get_enable_expansion ()
void | hdy_expander_row_set_enable_expansion ()
gboolean | hdy_expander_row_get_show_enable_switch ()
void | hdy_expander_row_set_show_enable_switch ()

## Properties

gboolean | enable-expansion | Read / Write
gboolean | expanded | Read / Write
gboolean | show-enable-switch | Read / Write

## Types and Values

#define | HDY_TYPE_EXPANDER_ROW
struct | HdyExpanderRowClass
| HdyExpanderRow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkListBoxRow
                            ╰── HdyPreferencesRow
                                ╰── HdyActionRow
                                    ╰── HdyExpanderRow

## Implemented Interfaces

HdyExpanderRow implements AtkImplementorIface, GtkBuildable and GtkActionable.

## Description

The HdyExpanderRow allows the user to reveal or hide widgets below it. It also allows the user to enable the expansion of the row, allowing to disable all that the row contains.

## Functions

### hdy_expander_row_new ()

    HdyExpanderRow *
    hdy_expander_row_new (void);

Creates a new HdyExpanderRow.

#### Returns

a new HdyExpanderRow

Since: 0.0.6

### hdy_expander_row_get_expanded ()

    gboolean
    hdy_expander_row_get_expanded (HdyExpanderRow *self);

### hdy_expander_row_set_expanded ()

    void
    hdy_expander_row_set_expanded (HdyExpanderRow *self,
                                   gboolean expanded);

### hdy_expander_row_get_enable_expansion ()

    gboolean
    hdy_expander_row_get_enable_expansion (HdyExpanderRow *self);

Gets whether the expansion of `self` is enabled.

#### Parameters

self | a HdyExpanderRow |

#### Returns

whether the expansion of `self` is enabled.

Since: 0.0.6

### hdy_expander_row_set_enable_expansion ()

    void
    hdy_expander_row_set_enable_expansion (HdyExpanderRow *self,
                                           gboolean enable_expansion);

Sets whether the expansion of `self` is enabled.

#### Parameters

self | a HdyExpanderRow |
enable_expansion | `TRUE` to enable the expansion |

Since: 0.0.6

### hdy_expander_row_get_show_enable_switch ()

    gboolean
    hdy_expander_row_get_show_enable_switch
                                   (HdyExpanderRow *self);

Gets whether the switch enabling the expansion of `self` is visible.

#### Parameters

self | a HdyExpanderRow |

#### Returns

whether the switch enabling the expansion of `self` is visible.

Since: 0.0.6

### hdy_expander_row_set_show_enable_switch ()

    void
    hdy_expander_row_set_show_enable_switch
                                   (HdyExpanderRow *self,
                                    gboolean show_enable_switch);

Sets whether the switch enabling the expansion of `self` is visible.

#### Parameters

self | a HdyExpanderRow |
show_enable_switch | `TRUE` to show the switch enabling the expansion |

Since: 0.0.6

## Types and Values

### HDY_TYPE_EXPANDER_ROW

    #define HDY_TYPE_EXPANDER_ROW (hdy_expander_row_get_type())

### struct HdyExpanderRowClass

    struct HdyExpanderRowClass {
      HdyActionRowClass parent_class;
    };

#### Members

### HdyExpanderRow

    typedef struct _HdyExpanderRow HdyExpanderRow;

## Property Details

### The `“enable-expansion”` property

      “enable-expansion”         gboolean

`TRUE` if the expansion is enabled.

Owner: HdyExpanderRow

Flags: Read / Write

Default value: TRUE

### The `“expanded”` property

      “expanded”                 gboolean

`TRUE` if the row is expanded.

Owner: HdyExpanderRow

Flags: Read / Write

Default value: FALSE

### The `“show-enable-switch”` property

      “show-enable-switch”       gboolean

`TRUE` if the switch enabling the expansion is visible.

Owner: HdyExpanderRow

Flags: Read / Write

Default value: FALSE